/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../../libs.h"

#define ENTITY_COUNT 64

typedef struct {
  int32_t gridX, gridY, gridZ;
  int32_t oldGridX, oldGridY, oldGridZ;
  float positionX, positionY, positionZ;
} entity_t;

typedef struct {
  entity_t entities[ENTITY_COUNT]
} entitystate_t;

extern entitystate_t ENTITY_STATE;